<script>
  import { csv } from "d3-fetch";
  import { onMount } from "svelte";
  import Scatter from "./_ex_4_scatter.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await csv("/data/cars-2.csv");
  });

  // Configurations
  const s1 = {
    x: (d) => +d.Horsepower,
    y: (d) => +d.Acceleration,
    xLabel: "Horsepower",
    yLabel: "Acceleration"
  };
  const s2 = {
    x: (d) => +d.Displacement,
    y: (d) => +d.Miles_per_Gallon,
    xLabel: "Displacement",
    yLabel: "Miles per Gallon"
  };

  function boolean_array_comparison(array1, array2){
    length = array1.length;
    let result = []
    for (let i=0; i<length; i++){
      if(array1[i]==true && array2[i]==true){
        result.push(true);
      }
      else{
        result.push(false);
      }
    }
    return result;
  }

  let local_selection_1 = [];
  let local_selection_2 = [];
  let global_selection = [];
  $: global_selection =  boolean_array_comparison(local_selection_1, local_selection_2); 

</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <Scatter {data} {...s1} bind:local_selection={local_selection_1} global_selection={global_selection}/>
  <Scatter {data} {...s2} bind:local_selection={local_selection_2} global_selection={global_selection}/>
{/if}
